<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Employee extends Model
{
    protected $fillable = ['username', 'email', 'password','verification_code', 'email_verified_at'];

    protected $hidden = ['password','verification_code'];

    public function documents()
    {
        return $this->hasMany(Document::class);
    }

    public function profile()
    {
    return $this->hasOne(EmployeeProfile::class);
     }

}
